Pareto {VGAM} | R Documentation

## The Pareto Distribution

### Description

Density, distribution function, quantile function and random generation for the Pareto(I) distribution with parameters `scale` and `shape`.

### Usage

    dpareto(x, scale = 1, shape, log = FALSE)
    ppareto(q, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    qpareto(p, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    rpareto(n, scale = 1, shape)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. Same as in `runif`.
`scale, shape` | the alpha and k parameters.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `paretoff`, the VGAM family function for estimating the parameter k by maximum likelihood estimation, for the formula of the probability density function and the range restrictions imposed on the parameters.

### Value

`dpareto` gives the density, `ppareto` gives the distribution function, `qpareto` gives the quantile function, and `rpareto` generates random deviates.

### Author(s)

T. W. Yee and Kai Huang

### References

Forbes, C., Evans, M., Hastings, N. and Peacock, B. (2011) Statistical Distributions, Hoboken, NJ, USA: John Wiley and Sons, Fourth edition.

### See Also

`paretoff`, `ParetoIV`.

### Examples

    alpha <- 3; k <- exp(1); x <- seq(2.8, 8, len = 300)
    ## Not run:
    plot(x, dpareto(x, scale = alpha, shape = k), type = "l",
         main = "Pareto density split into 10 equal areas")
    abline(h = 0, col = "blue", lty = 2)
    qvec <- qpareto(seq(0.1, 0.9, by = 0.1), scale = alpha, shape = k)
    lines(qvec, dpareto(qvec, scale = alpha, shape = k),
          col = "purple", lty = 3, type = "h")

    ## End(Not run)
    pvec <- seq(0.1, 0.9, by = 0.1)
    qvec <- qpareto(pvec, scale = alpha, shape = k)
    ppareto(qvec, scale = alpha, shape = k)
    qpareto(ppareto(qvec, scale = alpha, shape = k),
            scale = alpha, shape = k) - qvec  # Should be 0

[Package VGAM version 1.0-4 Index]